library YPGL;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_DataLink in 'U_DataLink.pas' {DataLink_YPGL: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_iniParam in 'U_iniParam.pas',
  U_CPType in 'U_CPType.pas' {frmCPType},
  U_CPAddPN in 'U_CPAddPN.pas' {frmCPAddPN},
  U_SelExportField in '..\Z99Dependency\ThreeFun\Fun\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\Z99Dependency\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_ZDYHelp in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_Fun in '..\Z99Dependency\ThreeFun\Fun\U_Fun.pas',
  U_Fun10 in '..\Z99Dependency\ThreeFun\Fun\U_Fun10.pas',
  U_CPSel in 'U_CPSel.pas' {frmCPSel},
  U_RTFun in '..\Z99Dependency\RTFunAndForm\Fun\U_RTFun.pas',
  U_SLT in 'U_SLT.pas' {frmSLT: TFrame},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS};

// U_SelfForm in '..\..\SelfForm\U_SelfForm.pas',
 // U_SelExportField in '..\..\SelfForm\U_SelExportField.pas' {frmSelExportField},
 // U_SelPrintField in '..\..\SelfForm\U_SelPrintField.pas' {frmSelPrintField},
 // U_SelPrintFieldNew in '..\..\SelfForm\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  //U_FormPas in '..\CommonPas\formPas\U_FormPas.pas',
  //U_CxGridSet in '..\CommonPas\cxgridPas\U_CxGridSet.pas';

//U_RSFormPas in '..\CommonPas\RSCommon\U_RSFormPas.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

